diff --git a/books/bookvol10.4.pamphlet b/books/bookvol10.4.pamphlet
index d995ac6..461328d 100644
--- a/books/bookvol10.4.pamphlet
+++ b/books/bookvol10.4.pamphlet
@@ -118790,7 +118790,7 @@ PAdicWildFunctionFieldIntegralBasis(K,R,UP,F): Exports == Implementation where
     import TriangularMatrixOperations(R, Vector R, Vector R, Matrix R)
 
     reducedDiscriminant f ==
-      ff : SUP Q := mapUnivariate(#1 :: Q,f)$IBPTOOLS(R,UP,SUP UP,Q)
+      ff : SUP Q := mapUnivariate((r1:R):Q+->r1 :: Q,f)$IBPTOOLS(R,UP,SUP UP,Q)
       ee := extendedEuclidean(ff,differentiate ff)
       cc := concat(coefficients(ee.coef1),coefficients(ee.coef2))
       cden := splitDenominator(cc)$CDEN(R,Q,L Q)
@@ -118819,14 +118819,14 @@ PAdicWildFunctionFieldIntegralBasis(K,R,UP,F): Exports == Implementation where
       -- construct extension of degree r over K
       E := SAE(K,SUP K,irrPoly)
       -- lift coefficients to elements of E
-      poly := mapBivariate(#1 :: E,poly0)$IBPTOOLS(K,R,UP,E)
+      poly := mapBivariate((k1:K):E +-> k1::E,poly0)$IBPTOOLS(K,R,UP,E)
       redDisc0 := reducedDiscriminant poly0
-      redDisc := mapUnivariate(#1 :: E,redDisc0)$IBPTOOLS(K,R,UP,E)
-      prime := mapUnivariate(#1 :: E,prime0)$IBPTOOLS(K,R,UP,E)
+      redDisc := mapUnivariate((k1:K):E +-> k1::E,redDisc0)$IBPTOOLS(K,R,UP,E)
+      prime := mapUnivariate((k1:K):E +-> k1::E,prime0)$IBPTOOLS(K,R,UP,E)
       sae := SAE(E,SUP E,prime)
       -- reduction (mod prime) of polynomial of which poly is the kth power
       redIrrPoly :=
-        pp := mapBivariate(#1 :: E,irrPoly0)$IBPTOOLS(K,R,UP,E)
+        pp := mapBivariate((k1:K):E +-> k1::E,irrPoly0)$IBPTOOLS(K,R,UP,E)
         mapUnivariate(reduce,pp)$IBPTOOLS(SUP E,SUP SUP E,SUP SUP SUP E,sae)
       -- factor the reduction
       factorListSAE := factors factor(redIrrPoly)$DDFACT(sae,SUP sae)
diff --git a/changelog b/changelog
index c92f949..802ff7c 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20090609 tpd src/axiom-website/patches.html 20090609.05.tpd.patch
+20090609 tpd books/bookvol10.4 PWFFINTB +-> conversion
 20090609 tpd src/axiom-website/patches.html 20090609.04.tpd.patch
 20090609 tpd books/bookvol10.4 ODETOOLS +-> conversion
 20090609 tpd src/axiom-website/patches.html 20090609.03.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 2327627..7fdca6a 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -1521,5 +1521,7 @@ bookvol10.4 NUMFMT +-> conversion<br/>
 bookvol10.4 ODEINT +-> conversion<br/>
 <a href="patches/20090609.04.tpd.patch">20090609.04.tpd.patch</a>
 bookvol10.4 ODETOOLS +-> conversion<br/>
+<a href="patches/20090609.05.tpd.patch">20090609.05.tpd.patch</a>
+bookvol10.4 PWFFINTB +-> conversion<br/>
  </body>
 </html>
